package com.inspect.metadata.montdata.service;

import com.inspect.metadata.montdata.domain.BasedataMontTaskResult;

import java.util.Date;
import java.util.List;

public interface IBasedataMontTaskResultService {
    BasedataMontTaskResult selectBasedataMontTaskResultByTaskResultId(Long resultId);

    List<BasedataMontTaskResult> selectBasedataMontTaskResultList(BasedataMontTaskResult taskResult);

    int insertBasedataMontTaskResult(BasedataMontTaskResult taskResult);

    int updateBasedataMontTaskResult(BasedataMontTaskResult taskResult);

    int deleteBasedataMontTaskResultByTaskResultIds(Long[] resultIds);

    int deleteBasedataMontTaskResultByTaskResultId(Long resultId);

    Integer countTimesByPatrolDeviceCode(String patrolDeviceCode);

    Date selectMinCreateTimeByPatrolDeviceCode(String patrolDeviceCode);
}
